/* flaneth - flash and ethernet
   Copyright (C) 2007-2012 Stefan Schuermans <stefan@schuermans.info>
   Copyleft: GNU public license V2 - http://www.gnu.org/copyleft/gpl.html
   a BlinkenArea project - http://www.blinkenarea.org/ */

#include "config.h"

// MAC address
unsigned char ConfigMac[6] = { 0x02, 0xF7, 0xA4, 0xE7, 0x80, 0x00 };    // (extern)

// IP configuration
// - all zero for DHCP
unsigned char ConfigIp[4] = { 192, 168, 0, 234 };     // own IP address (extern)
unsigned char ConfigMask[4] = { 255, 255, 255, 0 };   // subnet mask (extern)
unsigned char ConfigGw[4] = { 192, 168, 0, 1 };     // gateway IP address
                                                // (extern)

// port for S8P
unsigned short ConfigS8pPort = 8;       // disabled if 0 (extern)

// symmetric key for S8P
unsigned char ConfigS8pKey[16] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 };    // (extern)

// port for webserver
unsigned short ConfigHttpPort = 80;     // disabled if 0 (extern)

// default output state
unsigned char ConfigDefOut = 0x00;      // (extern)
